# profile/init
ifndef DISTCFG_MK
DISTCFG_MK = 1
# use/pkgpriorities
FEATURES += pkgpriorities
PIN_PRIORITY = Important
# profile/bare
MKIMAGE_PREFIX ?= /usr/share/mkimage
IMAGEDIR ?= /home/tema/out
LOGDIR ?= /home/tema/out
BRANDING ?= kometa-school
PINNED_PACKAGES += branding-$(BRANDING)-alterator:Essential
PINNED_PACKAGES += branding-$(BRANDING)-bootsplash:Essential
PINNED_PACKAGES += branding-$(BRANDING)-bootloader:Essential
PINNED_PACKAGES += branding-$(BRANDING)-graphics:Essential
PINNED_PACKAGES += branding-$(BRANDING)-indexhtml:Essential
PINNED_PACKAGES += branding-$(BRANDING)-notes:Essential
PINNED_PACKAGES += branding-$(BRANDING)-release:Essential
PINNED_PACKAGES += branding-$(BRANDING)-slideshow:Essential
PACKAGES_REQUIRED_INITROOT = basesystem branding-$(BRANDING)-release
export GLOBAL_ARCH = $(ARCH)
# distro/.init
META_PREPARER ?= mkimage-profiles
META_APP_ID ?= kometa-p10-kde5
META_PUBLISHER ?= Artem Proskurnev
# boot/iso
BOOTLOADER ?= isolinux
IMAGE_PACKTYPE ?= boot
# distro/.boot
IMAGE_FLAVOUR ?= kometa-p10-kde5
META_VOL_ID ?= KOMETA p10 $(IMAGE_FLAVOUR)/x86_64
META_VOL_try ?= KOMETA
GLOBAL_BOOT_LANG ?= ru_RU
# use/kernel
FEATURES += kernel
KFLAVOURS ?= std-def
export GLOBAL_KFLAVOURS = $(KFLAVOURS)
# distro/.base
META_SYSTEM_ID ?= LINUX
# use/kernel/net
THE_KMODULES += r8125
MAIN_KMODULES += r8168 rtl8168
# use/docs
FEATURES += docs
# use/branding
FEATURES += branding
# use/branding/notes
THE_BRANDING += notes
# use/docs/license
META_LICENSE_FILE = license.all.html
# sub/stage1
SUBPROFILES += stage1
# use/stage2
FEATURES += stage2
STAGE1_PACKAGES += make-initrd file iproute2
STAGE1_MODLISTS += $(FEATURES)
export GLOBAL_STAGE1_PACKAGES = $(STAGE1_PACKAGES)
export GLOBAL_STAGE1_KCONFIG = $(STAGE1_KCONFIG)
GLOBAL_HSH_PROC = 1
# use/uuid-iso
FEATURES += uuid-iso
#MKI_VER_OPTIMAL = 0.2.41 # overridden by use/efi
UUID_ISO_SHRT = 2022020901052900
UUID_ISO = 2022-02-09-01-05-29-00
export GLOBAL_UUID_ISO = $(UUID_ISO)
# use/initrd-propagator
FEATURES += initrd-propagator
STAGE1_PACKAGES += make-initrd-propagator propagator
STAGE1_INITRD = initrd-propagator
STAGE1_INITRD_TYPEARGS = changedisk automatic
STAGE1_INITRD_BOOTMETHOD = method:cdrom,fuid:2022-02-09-01-05-29-00
STAGE1_INITRD_STAGE2_OPTION = stagename
# use/stage2/fs
STAGE1_MODLISTS += stage2-fs
# use/stage2/hid
STAGE1_MODLISTS += stage2-hid
# use/stage2/md
STAGE1_MODLISTS += stage2-md
# use/stage2/mmc
STAGE1_MODLISTS += stage2-mmc
# use/stage2/net
STAGE1_MODLISTS += stage2-net
# use/stage2/net-nfs
STAGE1_MODLISTS += stage2-net-nfs
# use/stage2/net-cifs
STAGE1_MODLISTS += stage2-net-cifs
# use/stage2/cifs
STAGE1_PACKAGES += cifs-utils
# use/stage2/rtc
STAGE1_MODLISTS += stage2-rtc
# use/stage2/scsi
STAGE1_MODLISTS += stage2-scsi
# use/stage2/usb
STAGE1_MODLISTS += stage2-usb
# use/tty
FEATURES += tty
export GLOBAL_TTY_DEV = $(TTY_DEV)
export GLOBAL_TTY_RATE = $(TTY_RATE)
export GLOBAL_BASE_BOOTARGS = $(BASE_BOOTARGS)
INSTALL2_PACKAGES += installer-feature-serial-stage2
THE_PACKAGES += installer-feature-serial-stage3
# distro/.regular-bare
SAVE_PROFILE ?= yes
# use/vmguest
FEATURES += vmguest
# use/syslinux
FEATURES += syslinux
STAGE1_PACKAGES += syslinux
BOOTVGA ?= normal
SYSLINUX_FILES += /usr/lib/syslinux/pxelinux.0
META_SYSTEM_ID ?= SYSLINUX
#RELNAME = ALT (kometa-p10-kde5) # overridden by use/grub
export GLOBAL_SYSLINUX_DEFAULT = $(SYSLINUX_DEFAULT)
# use/grub
FEATURES += grub
BOOTVGA ?= normal
RELNAME = ALT (kometa-p10-kde5)
export GLOBAL_GRUB_DEFAULT = $(GRUB_DEFAULT)
# use/memtest
FEATURES += memtest
SYSTEM_PACKAGES += memtest86+
SYSLINUX_CFG += memtest
GRUB_CFG += memtest_bios
# use/efi
FEATURES += efi
MKI_VER_MINIMAL = 0.2.12
MKI_VER_OPTIMAL = 0.2.17
EFI_BOOTLOADER ?= grub-efi
export GLOBAL_EFI_BOOTLOADER = $(EFI_BOOTLOADER)
COMMON_LISTS += tagged/base+efi
INSTALL2_PACKAGES += dosfstools fatresize
STAGE1_KCONFIG += EFI EFI_PARTITION FB_EFI EFIVAR_FS
EFI_BOOTARGS += $(STAGE2_BOOTARGS)
RESCUE_PACKAGES += refind $(EFI_SHELL) $(EFI_BOOTLOADER)
THE_PACKAGES += $(EFI_SHELL)
# use/efi/signed
EFI_CERT = altlinux
COMMON_PACKAGES += shim-signed
COMMON_PACKAGES += mokutil pesign
RESCUE_PACKAGES += openssl
# use/luks
FEATURES += luks
BASE_PACKAGES += make-initrd-luks
THE_PACKAGES += alterator-luks
THE_LISTS += tagged/security+luks
RESCUE_LISTS += tagged/security+luks
# use/volumes
FEATURES += volumes
INSTALL2_PACKAGES += $(STAGE2_VOLUMES_PROFILE)
LIVE_PACKAGES += $(STAGE2_VOLUMES_PROFILE)
# use/volumes/regular
STAGE2_VOLUMES_PROFILE = volumes-profile-regular
# use/browser
FEATURES += browser
THE_PACKAGES += $(THE_BROWSER)
#THE_BROWSER ?= elinks # overridden by use/browser/firefox
# use/browser/firefox
#THE_BROWSER = firefox$(FX_FLAVOUR) # overridden by use/browser/falkon
# use/kernel/disable-usb-autosuspend
BASE_BOOTARGS += usbcore.autosuspend=-1
STAGE2_BOOTARGS += usbcore.autosuspend=-1
SYSTEM_PACKAGES += disable-usb-autosuspend
# sub/rootfs
SUBPROFILES += rootfs
# use/services
FEATURES += services
export GLOBAL_DEFAULT_SERVICES_ENABLE = $(DEFAULT_SERVICES_ENABLE)
export GLOBAL_DEFAULT_SERVICES_DISABLE = $(DEFAULT_SERVICES_DISABLE)
export GLOBAL_SERVICES_ENABLE = $(SERVICES_ENABLE)
export GLOBAL_SERVICES_DISABLE = $(SERVICES_DISABLE)
export GLOBAL_SYSTEMD_SERVICES_ENABLE = $(SYSTEMD_SERVICES_ENABLE)
export GLOBAL_SYSTEMD_SERVICES_DISABLE = $(SYSTEMD_SERVICES_DISABLE)
# use/ntp
FEATURES += ntp
#THE_NTPD ?= openntpd # overridden by use/ntp/chrony
THE_PACKAGES += $(THE_NTPD)
PINNED_PACKAGES += $(THE_NTPD)
#THE_NTPD_SERVICE ?= openntpd # overridden by use/ntp/chrony
DEFAULT_SERVICES_ENABLE += $(THE_NTPD_SERVICE)
# use/ntp/chrony
THE_NTPD = chrony
THE_NTPD_SERVICE = chronyd
# use/services/lvm2-disable
DEFAULT_SERVICES_DISABLE += lvm2-lvmetad
DEFAULT_SERVICES_DISABLE += lvm2-lvmpolld
DEFAULT_SERVICES_DISABLE += lvm2-monitor
# mixin/regular-x11
THE_LISTS += tagged/base+regular tagged/desktop+regular
THE_PACKAGES += disable-usb-autosuspend
THE_PACKAGES += btrfs-progs
THE_PACKAGES += gpm
DEFAULT_SERVICES_DISABLE += gpm powertop
FX_FLAVOUR = -esr
# use/x11
FEATURES += x11
THE_LISTS += tagged/base+xorg
# use/x11/wacom
THE_PACKAGES += xorg-drv-wacom
# use/firmware
FEATURES += firmware
SYSTEM_PACKAGES += firmware-linux
# use/x11/amdgpu
THE_PACKAGES += xorg-drv-amdgpu
# use/firmware/wireless
THE_PACKAGES_REGEXP += firmware-prism.*
THE_PACKAGES_REGEXP += firmware-ipw.*
THE_PACKAGES_REGEXP += firmware-zd.*
THE_PACKAGES_REGEXP += firmware-rt.*
# use/kernel/wireless
THE_KMODULES += bcmwl staging
THE_KMODULES += rtl8188fu rtl8192eu rtl8723de rtl8812au
THE_KMODULES += rtl8821ce rtl8821cu rtl88x2bu rtl8723bu
THE_KMODULES += rtw89
# use/wireless
FEATURES += wireless
THE_LISTS += tools/wireless
# use/wireless/full
RESCUE_LISTS += tools/wireless
# sub/rootfs@live
SUBPROFILES += rootfs@live
# sub/stage2@live
SUBPROFILES += stage2@live
# use/grub/live.cfg
GRUB_CFG += live
# use/live
FEATURES += live
CLEANUP_BASE_PACKAGES += installer*
DEFAULT_SERVICES_ENABLE += alteratord cpufreq-simple livecd-evms livecd-fstab livecd-hostname livecd-setauth livecd-setlocale livecd-timezone livecd-net-eth livecd-install-wmaker random rpcbind plymouth avahi-daemon 
DEFAULT_SERVICES_DISABLE += anacron blk-availability bridge clamd dhcpd dmeventd dnsmasq mdadm netfs o2cb ocfs2 openvpn postfix rawdevices slapd smartd sshd sysstat update_wms xinetd
CONTROL += rpcbind:local
export GLOBAL_LIVE_CLEANUP_KDRIVERS = $(LIVE_CLEANUP_KDRIVERS)
# use/syslinux/ui/menu
#SYSLINUX_UI = menu # overridden by use/syslinux/ui/gfxboot
# use/live/.base
LIVE_LISTS += tagged/base+desktop+live
# use/net
FEATURES += net
THE_PACKAGES += $(THE_NET_SUBSYS)
PINNED_PACKAGES += $(THE_NET_SUBSYS)
#THE_NET_SUBSYS = network-config-subsystem # overridden by use/net/nm
# use/deflogin
FEATURES += deflogin
THE_PACKAGES += shadow-utils passwd
export GLOBAL_ROOTPW_EMPTY = $(ROOTPW_EMPTY)
export GLOBAL_ROOTPW = $(ROOTPW)
export GLOBAL_USERS = $(USERS)
export GLOBAL_GROUPS = $(GROUPS)
export GLOBAL_SPEC_USER = $(SPEC_USER)
# use/deflogin/live
ROOTPW_EMPTY = 1
USERS += kometa::1:1
# use/live/base
LIVE_LISTS += tagged/base+network
# use/deflogin/hardware
GROUPS += cdwriter radio scanner uucp
# use/deflogin/xgrp
GROUPS += xgrp audio
# use/deflogin/privileges
GROUPS += fuse netadmin proc users
# use/x11-autostart
FEATURES += x11-autostart
BASE_PACKAGES += installer-feature-runlevel5-stage3
# use/x11-autologin
FEATURES += x11-autologin
THE_PACKAGES += shadow-groups
# use/sound
FEATURES += sound
THE_LISTS += sound/base
THE_LISTS += $(THE_SOUND)
# use/fonts
FEATURES += fonts
FONTS ?= fonts-ttf-google-croscore-arimo
THE_PACKAGES += $(FONTS)
export GLOBAL_FONT_FEATURES_ENABLE = $(FONT_FEATURES_ENABLE)
export GLOBAL_FONT_FEATURES_DISABLE = $(FONT_FEATURES_DISABLE)
# use/fonts/otf/adobe
FONTS += fonts-otf-adobe-source-code-pro
FONTS += fonts-otf-adobe-source-sans-pro
# use/fonts/otf/mozilla
FONTS += fonts-otf-mozilla-fira
# use/live/x11
LIVE_LISTS += tagged/desktop+live tagged/base+desktop+live
LIVE_LISTS += tagged/base+l10n
LIVE_PACKAGES += pciutils
# use/live/repo
LIVE_REPO ?= http/alt
export GLOBAL_LIVE_REPO = $(LIVE_REPO)
# use/live/suspend
LIVE_PACKAGES += installer-feature-desktop-suspend-stage2
# use/browser/firefox/live
#THE_BROWSER += livecd-firefox # overridden by use/browser/falkon
# use/syslinux/ui/gfxboot
SYSLINUX_UI = gfxboot
STAGE1_PACKAGES += gfxboot
STAGE1_BRANDING += bootloader
# use/grub/ui/gfxboot
GRUB_UI = gfxboot
STAGE1_BRANDING += bootloader
STAGE1_PACKAGES += grub-common
# distro/.regular-x11
THE_BRANDING += bootloader
THE_LISTS += tagged/base+regular tagged/desktop+regular tagged/base+regular+extra
LIVE_LISTS += tagged/base+rescue
LIVE_PACKAGES += gpm
DEFAULT_SERVICES_DISABLE += gpm powertop
# use/sound/alsa
#THE_SOUND = sound/alsa # overridden by use/sound/pulse
# use/net/nm/native
NM_Native = yes
# use/drm
FEATURES += drm
DRM_KMODULES += drm
THE_KMODULES += $(DRM_KMODULES)
# use/x11/intel
THE_PACKAGES += xorg-drv-intel
THE_PACKAGES += xorg-dri-intel
# use/x11/xorg
THE_LISTS += tagged/desktop+xorg
# use/drm/nouveau
NVIDIA_KMODULES ?= drm-nouveau
DRM_KMODULES += $(NVIDIA_KMODULES)
# use/x11/nouveau
NVIDIA_PACKAGES ?= xorg-drv-nouveau
THE_PACKAGES += $(NVIDIA_PACKAGES)
# use/drm/radeon
DRM_KMODULES += drm-radeon
# use/x11/radeon
THE_PACKAGES += xorg-drv-ati xorg-drv-radeon
# use/drm/ancient
DRM_KMODULES += drm-ancient
# use/control
FEATURES += control
THE_PACKAGES += control
export GLOBAL_CONTROL = $(CONTROL)
# use/xdg-user-dirs
FEATURES += xdg-user-dirs
CONTROL += xdg-user-dirs:enabled
THE_PACKAGES += xdg-user-dirs
export GLOBAL_XDG_USER_DIRS = $(XDG_USER_DIRS)
# use/l10n
FEATURES += l10n
THE_LISTS += tagged/base+l10n
LOCALES += en_US
XKB_KEYMAPS += us
LOCALE ?= en_US
export GLOBAL_LOCALE = $(LOCALE)
export GLOBAL_LOCALES = $(LOCALES)
export GLOBAL_XKB_KEYMAPS = $(XKB_KEYMAPS)
export GLOBAL_XKB_VARIANTS = $(XKB_VARIANTS)
export GLOBAL_XKB_SWITCH = $(XKB_SWITCH)
export GLOBAL_XKB_LED = $(XKB_LED)
# mixin/regular-desktop
THE_PACKAGES += pam-limits-desktop beesu polkit dvd+rw-tools
THE_BRANDING += alterator graphics indexhtml
THE_BRANDING += notes
THE_PACKAGES += $(THE_IMAGEWRITER)
THE_IMAGEWRITER = altmediawriter
THE_PACKAGES += upower udev-rules-rfkill-uaccess
DEFAULT_SERVICES_DISABLE += gssd idmapd krb5kdc rpcbind
DEFAULT_SERVICES_ENABLE += cups
DEFAULT_SERVICES_ENABLE += alteratord
CONTROL += fusermount:public
# use/vmguest/kvm
THE_PACKAGES += qemu-guest-agent
# use/vmguest/vmware
THE_KMODULES += vmware
THE_KMODULES += scsi
THE_PACKAGES += open-vm-tools
# use/vmguest/vbox/x11
THE_KMODULES += drm
THE_PACKAGES += virtualbox-guest-additions
# use/vmguest/vmware/x11
THE_PACKAGES += xorg-dri-vmwgfx xorg-drv-vmware xorg-drv-vmmouse
THE_PACKAGES += open-vm-tools-desktop
# use/vmguest/kvm/x11
THE_PACKAGES += spice-vdagent xorg-drv-qxl xorg-drv-spiceqxl
THE_PACKAGES += xorg-dri-virtio
# use/syslinux/live_rw.cfg
SYSLINUX_CFG += live_rw
# use/grub/live_rw.cfg
GRUB_CFG += live_rw
# use/metadata
FEATURES += metadata
# use/syslinux/localboot.cfg
SYSLINUX_CFG += localboot
# use/grub/localboot_bios.cfg
GRUB_CFG += localboot_bios
# use/bootloader
FEATURES += bootloader
#BASE_BOOTLOADER ?= grub # overridden by use/bootloader/grub
export GLOBAL_BASE_BOOTLOADER = $(BASE_BOOTLOADER)
BASE_LISTS += $(BASE_BOOTLOADER)
export GLOBAL_BASE_BOOTARGS = $(BASE_BOOTARGS)
BASE_PACKAGES += installer-feature-bootloader-$(BASE_BOOTLOADER)
PINNED_PACKAGES += alterator-$(BASE_BOOTLOADER)
PINNED_PACKAGES += installer-bootloader-$(BASE_BOOTLOADER)-stage2
# use/bootloader/live
LIVE_PACKAGES += alterator-$(BASE_BOOTLOADER)
# use/bootloader/grub
BASE_BOOTLOADER = grub
# use/live/install
LIVE_PACKAGES += livecd-install
LIVE_PACKAGES += livecd-installer-features
PINNED_PACKAGES += livecd-installer-features
# distro/.regular-wm
LIVE_PACKAGES += livecd-install-apt-cache
# use/branding/full
THE_BRANDING += alterator graphics
THE_BRANDING += indexhtml slideshow
THE_BRANDING += bootloader
THE_BRANDING += bootsplash
# use/firmware/cpu
THE_PACKAGES += firmware-intel-ucode iucode_tool
# use/firmware/laptop
THE_PACKAGES += firmware-alsa-sof
# use/init
FEATURES += init
THE_LISTS += $(INIT_TYPE)
PINNED_PACKAGES += $(INIT_TYPE)
# use/init/systemd
INIT_TYPE = systemd
# use/init/systemd/full
THE_PACKAGES += chkconfig
THE_PACKAGES += vconsole-setup-kludge
# use/init/systemd/settings/enable-log-to-tty12
THE_PACKAGES += systemd-settings-enable-log-to-tty12
# use/init/systemd/settings/enable-showstatus
THE_PACKAGES += systemd-settings-enable-showstatus
# distro/.regular-desktop
THE_PACKAGES += bluez
DEFAULT_SERVICES_ENABLE += bluetoothd
# use/net/nm
THE_NET_SUBSYS = NetworkManager
THE_LISTS += tagged/base+nm
LIVE_PACKAGES += livecd-save-nfs
DEFAULT_SERVICES_ENABLE += network
DEFAULT_SERVICES_ENABLE += NetworkManager ModemManager
DEFAULT_SERVICES_ENABLE += livecd-save-nfs
export GLOBAL_NM_native = $(NM_native)
# use/x11/kde/synaptic
THE_PACKAGES += synaptic-kde synaptic-usermode-
# use/x11/kde5
THE_PACKAGES += kde5-big
# use/browser/falkon
THE_BROWSER = falkon
# use/x11/dm
#THE_DISPLAY_MANAGER ?= xdm # overridden by use/x11/kde5-display-manager-lightdm
THE_PACKAGES += $(THE_DISPLAY_MANAGER)
PINNED_PACKAGES += $(THE_DISPLAY_MANAGER)
DEFAULT_SERVICES_ENABLE += $(THE_DM_SERVICE)
# use/x11/kde5-display-manager-lightdm
THE_DISPLAY_MANAGER = kde5-display-manager-lightdm
THE_DM_SERVICE = lightdm
PINNED_PACKAGES += kde5-display-manager-sddm:Extra
# use/fonts/ttf/google
FONTS += fonts-ttf-google-droid-sans
FONTS += fonts-ttf-google-droid-sans-mono
FONTS += fonts-ttf-google-droid-serif
FONTS += fonts-ttf-google-croscore-arimo
FONTS += fonts-ttf-google-croscore-cousine
FONTS += fonts-ttf-google-croscore-tinos
# use/fonts/ttf/redhat
FONTS += fonts-ttf-liberation
# use/fonts/zerg
FONT_FEATURES_ENABLE = antialias lcdfilter-default hinting style-full sub-pixel-rgb
FONT_FEATURES_DISABLE = no-antialias lcdfilter-none unhinted no-sub-pixel
# use/sound/pulse
THE_SOUND = sound/pulseaudio
# mixin/regular-kde5
THE_PACKAGES += kde5-telepathy falkon-kde5
# use/net/dhcp
THE_PACKAGES += dhcpcd
# use/domain-client
FEATURES += domain-client
THE_LISTS += domain-client
# use/plymouth
FEATURES += plymouth
# use/stage2/drm
STAGE1_MODLISTS += stage2-drm
# use/drm/stage2
STAGE1_DRM_KMODULES += drm
STAGE1_KMODULES += $(STAGE1_DRM_KMODULES)
# use/drm/stage2/ancient
STAGE1_DRM_KMODULES += drm-ancient
# use/drm/stage2/radeon
STAGE1_DRM_KMODULES += drm-radeon
# use/drm/stage2/nouveau
STAGE1_DRM_KMODULES += drm-nouveau
# use/plymouth/stage2
STAGE1_PACKAGES_REGEXP += make-initrd-plymouth
STAGE1_BRANDING += bootsplash
STAGE2_BRANDING += bootsplash
STAGE2_BOOTARGS += quiet splash
# use/plymouth/base
INSTALL2_PACKAGES += installer-feature-setup-plymouth
BASE_PACKAGES_REGEXP += make-initrd-plymouth cpio
THE_BRANDING += bootsplash
THE_PACKAGES += make-initrd-plymouth
BASE_BOOTARGS += splash
# use/build-distro
FEATURES += build-distro
# config/name/kometa-p10-kde5
IMAGE_NAME = kometa-p10-kde5
# use/pack
FEATURES += pack
# use/pack/iso
IMAGE_PACKTYPE ?= isodata
# config/pack/iso
IMAGE_TYPE = iso
# profile/finalize
SUBPROFILE_DIRS = $(notdir $(subst @,/,$(SUBPROFILES)))
endif
